

.navbar {
    display: flex;
    flex-grow: 1;
    flex-basis: 0;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

* {
	box-sizing: border-box;
	font-family: -apple-system, BlinkMacSystemFont, "segoe ui", roboto, oxygen, ubuntu, cantarell, "fira sans", "droid sans", "helvetica neue", Arial, sans-serif;
	font-size: 22px;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body {
    min-width: 960px;
    position: relative;
    min-height: 100%;
    color: #555555;
    background-color: #FFFFFF;
    
    padding-bottom: 100px;
}


ul.headerlinks {
    list-style-type: none;
    
}

li.navbarli {
    display:inline;
}

a:-webkit-any-link {
    
    cursor: pointer;
    
}

a.navbarlink {
    text-decoration: none;
    color:#555555;
    padding: 10px 10px;
    margin: 0px 10px;
    background-color:white;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
    
}

a.navbarlink:hover {
    border-bottom:solid;
    border-color: red;
}

a.navbarlink:active {
    border: solid;
    border-color: rgb(255, 167, 167);
    border-width: 4px;
    border-radius: 5px;
    background-color: firebrick;
    color: white;
}

a.contact {
    border-bottom: double;
    border-color: indianred;
    border-width: 6px;
}

h1.pageintro {
    position: absolute;
    top: -20px;
    left: 50px;
    color: #394352;
    font-size: 24px;
    padding: 24px 0px;
    margin-left: 40px;
}
h1#message-sent {
    padding-top: 33%;
    font-size: 40px;
    text-align: center;
}

canvas {
    border:solid;
    border-width: 3px;
    border-color: firebrick;
    display: block;
    margin: auto;
    border-radius: 5px;
    
}

p.mainpara {
    text-align: center;
}

a#emaillink {
    font-size: 18px;
    transition: font-size 2s;
}

a#emaillink:hover {
    font-size: 24px;
}

div#contactdiv {
    width: 960px;
    margin: auto;
}
#message-closebtn {
    border-width: 3px;
    border-color: aquamarine;
    border-radius: 5px;
    background-color: rgb(152, 204, 255);
    font-size: 78%;
    position: absolute;
    top: 10px;
    right: 10px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
#message-closebtn:hover {
    border-color: firebrick;
    background-color: aquamarine;
    font-size: 83%;
}
#message-closebtn1 {
    border-width: 3px;
    border-color: aquamarine;
    border-radius: 5px;
    background-color: rgb(152, 204, 255);
    font-size: 78%;
    position: absolute;
    top: 10px;
    right: 10px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
#message-closebtn1:hover {
    border-color: firebrick;
    background-color: aquamarine;
    font-size: 83%;
}
div#message-div {
    display: block;
    background-color: white;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 23%;
    left: 50%;
    width: 640px;
    height: 640px;
    margin: auto;
    border-style: solid;
    border-width: 10px;
    border-color: black;
    border-radius: 5px;
    z-index: 15;
    background-image: none;
    
}
div.link-icons {
    position: absolute;
    margin-right: 1%;
    top: 23px;
    right: 1%;
}
span#cart-icon {
    display: inline-block;
    text-align: center;
    background-color: #63748e;
    border-radius: 50%;
    color: #FFFFFF;
    font-size: 24px;
    line-height: 24px;
    width: 24px;
    height: 24px;
    font-weight: bold;
    position: absolute;
    top: -24px;
    right: -5px;
}
h2#message-sent {
    font-size: 26px;
    text-align: center;
    display: block;
    background-color: white;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 23%;
    left: 50%;
    width: 640px;
    height: 640px;
    margin: auto;
    border-style: solid;
    border-width: 10px;
    border-color: black;
    border-radius: 5px;
    padding-top: 10%;
    z-index: 15;
}
#date-heading {
    font-size: 30px;
    text-align: center;
}
#name-label {
    margin-left: 20px;
    margin-right: 10px;
}
#subject-label {
    margin-left: 20px;
    margin-right: 10px;
}
#message-label {
    margin-left: 20px;
    margin-right: 10px;
}
label#select-hour {
    margin-left: 20px;
}
select {
    border-color: rgb(78, 161, 134);
    background-color: rgba(152, 203, 255, 0.466);
}

#message-area {
    margin-left: 20px;
}
#message-submit {
    padding: 10px;
    border-color: aquamarine;
    border-radius: 6px;
    background-color: rgb(152, 204, 255);
    cursor: pointer;
    margin-left: 20px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
#message-submit:hover {
    border-color: firebrick;
    background-color: aquamarine;
    font-size: 105%;
}
#name-input {
    position: relative;
    left: 13px;
    margin: 5px;
    width: 75%;
    border-color: rgb(255, 139, 139);
    background-color: aquamarine;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
#name-input:hover {
    border-color:aquamarine;
    background-color: rgb(152, 204, 255);
}
input#name-input:invalid {
    color: black;
    border-color: red;
    background-color: rgba(255,35,79, .25);
}
#subject-input {
    margin: 5px;
    width: 75%;
    border-color: rgb(255, 139, 139);
    background-color: aquamarine;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
#subject-input:hover {
    border-color:aquamarine;
    background-color: rgb(152, 204, 255);
}
input#subject-input:invalid {
    color: black;
    border-color: red;
    background-color: rgba(255,35,79, .25);
}

#message-area {
    margin: 20px;
    width: 90%;
    height: 280px;
    max-width: 90%;
    max-height: 50%;
    border-color: rgb(255, 139, 139);
    background-color: aquamarine;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
    box-sizing: border-box;
    resize: none;
}
#message-area:hover {
    border-color:aquamarine;
    background-color: rgb(152, 204, 255);
}
textarea#message-area:invalid {
    color: black;
    border-color: red;
    background-color: rgba(255,35,79, .25);
}
p.foot{
    text-align: center;
}
p#sentFalse {
    display: none;
}
p#sentTrue {
    display: none;
}
button#msgconfirmsubmit {
    padding: 10px;
    border-color: aquamarine;
    border-radius: 6px;
    background-color: rgb(152, 204, 255);
    font-size: 30px;
    cursor: pointer;
    position: absolute;
    bottom: 20px;
    right: 20px;
    -webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
button#msgconfirmsubmit:hover {
    border-color: firebrick;
    background-color: aquamarine;
    font-size: 34px;;
}